List all schedules

List all schedules across all agents for the organization.

GET/api/schedules

Authorization

better-auth.session_token<token>

Cookie session from Better Auth. Requires X-Org-Id header for org-scoped routes.

In: cookie

Header Parameters

X-Org-Id?string

Organization ID. Required for cookie auth. Not needed for API key auth (org resolved from key).

Formatuuid
X-Space-Id?string

Space ID. Required for space-scoped routes (agents, runs, schedules, and space-scoped module routes). Not needed for API key auth (space resolved from key).

curl -X GET "https://your-instance/api/schedules"
{
  "object": "list",
  "data": [
    {
      "id": "string",
      "packageId": "string",
      "userId": "string",
      "endUserId": "string",
      "orgId": "string",
      "spaceId": "string",
      "name": "string",
      "enabled": true,
      "disabled_reason": "actor_invalid",
      "cron_expression": "string",
      "timezone": "string",
      "input": {},
      "generation_config_override": {
        "temperature": 0,
        "reasoning_level": "off"
      },
      "model_id_override": "string",
      "proxy_id_override": "string",
      "version_override": "string",
      "connection_overrides": {
        "property1": [
          "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        ],
        "property2": [
          "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        ]
      },
      "dependency_overrides": {
        "property1": "string",
        "property2": "string"
      },
      "last_run_at": "2019-08-24T14:15:22Z",
      "next_run_at": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "actor_name": "string",
      "actor_type": "user",
      "running_runs": 0,
      "unread_count": 0,
      "last_run_number": 0
    }
  ],
  "hasMore": true
}
{
  "type": "https://docs.appstrate.dev/errors/unauthorized",
  "title": "Unauthorized",
  "status": 401,
  "detail": "Invalid or missing session",
  "code": "unauthorized",
  "request_id": "req_abc123"
}
{
  "type": "https://docs.appstrate.dev/errors/forbidden",
  "title": "Forbidden",
  "status": 403,
  "detail": "Insufficient permissions",
  "code": "forbidden",
  "request_id": "req_abc123"
}